This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463252 - Plasma tray bar does not show GTK application icons
Plasma tray bar does not show GTK application icons
Status: NEW
Product: Fedora
Classification: Fedora
Component: plasma-desktop (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On: 1461576
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 08:44 EDT by Hynek Mlnarik
Modified: 2017-08-04 11:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hynek Mlnarik 2017-06-20 08:44:47 EDT
Description of problem:
After upgrade from F25 to F26 Beta, all application icons that were present in tray bar in F25 are lost (not even space reserved for the icons).

Version-Release number of selected component (if applicable):
plasma-desktop-5.10.1-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. run an application that has traybar icon, e.g. pidgin
2. watch traybar carefully

Actual results:
no icon appears even after concentrated watching

Expected results:
icons are shown similarly to plasma from F25
Comment 1 Pavel Raiskup 2017-07-12 12:02:36 EDT
> all application icons that were present in tray bar in F25 are lost 

Seconded.

Not really *all* icons, but the old GTK icons are lost after upgrade to F26.
This used to be long time issue after switching to KF5; and now - after
switching to F26 - the bug regressed.
Comment 2 Pierre Juhen 2017-07-18 01:38:04 EDT
Same bug for me :
Skype, Thunderbird, Nut icons don't show up !
Comment 3 Pavel Raiskup 2017-07-18 02:43:44 EDT
Starting /usr/bin/xembedsniproxy fixes the problem for me.
Comment 4 Hynek Mlnarik 2017-07-18 03:17:50 EDT
Thanks for the workaround - xembedsniproxy fixes the issue for me as well. Hope it would be possible to get this fixed properly
Comment 5 Pavel Raiskup 2017-07-18 03:49:16 EDT
Unfortunately, I think the "proper fix" would only mean running xembedsniproxy
automatically.
Comment 6 Hynek Mlnarik 2017-07-18 06:34:56 EDT
In that case Plasma should run xembedsniproxy automatically upon start (preferred), or at least inform the user to do so to be able to see the program icons. I believe the current behaviour only leads to confusion of users.

There are still legacy GTK applications that have no non-GTK equivalent and use tray icons extensively (e.g. "minimize to tray" functionality). Icons not showing up leads user to false impression that the respective program exited prematurely or even did not start up at all (e.g. when pidgin is started in minimized mode, nothing would visually change).
Comment 7 Pierre Juhen 2017-07-18 13:51:47 EDT
A workaround that works for me is to configure KDE too have xembedsniproxy runing at launch.

System settings -> start / stop
Comment 8 Lukas Marek 2017-07-19 03:56:27 EDT
I believe this can be related: https://retrace.fedoraproject.org/faf/reports/1745795/ It happens to me every time I login into plasma.
Comment 9 Lukas Marek 2017-08-01 03:43:12 EDT
It seems that the latest update to plasma (5.10.4) resolved the issue for me.
Comment 10 Hynek Mlnarik 2017-08-01 05:05:46 EDT
Does not seem to be resolved for me with 5.10.4, I have to run xembedsniproxy manually to see GTK icons in traybar.
Comment 11 Rex Dieter 2017-08-03 11:50:12 EDT
Can any of you post more examples of apps that fail to show (ideally from fedora)?

Of those mentioned, 
pidgin:  recommendation is to use pidgin-indicator
thunderbird: I wasn't aware it supported systray icon?
nut icons: can you give more details?
Comment 12 Hynek Mlnarik 2017-08-04 03:05:53 EDT
@Rex Dieter: I am not keen on using pidgin-indicator as that does not fit my needs as smoothly as the original icon behaviour does. For example, close to tray does not work with it, and I prefer hide/show on click, no walking through a menu.

Another application: hamster time tracker 1.04.

This bug is a regression from F25 and as such should be fixed.
Comment 13 Rex Dieter 2017-08-04 09:58:31 EDT
I don't see any systray icon from hamster... is there some option to turn it on?
Comment 14 Rex Dieter 2017-08-04 10:03:39 EDT
for what it's worth, I found this pygtk demo that works:
https://gist.github.com/pklaus/304963
Comment 15 Rex Dieter 2017-08-04 10:18:35 EDT
per comment #3, I suspect the real problem here is xembedsniproxy crashes on login, and there are some other bugs tracking that already, likely bug #1461576
Comment 16 Hynek Mlnarik 2017-08-04 10:50:11 EDT
FWIW, I can see the icon from the pygtk demo when I manually start xembedsniproxy but not when it is not running. I don't have any reports in abrt on crashing SNI proxy (though I have some unrelated ones on irregular crashes of plasmashell - "Process 17772 (plasmashell) crashed in ??()").

The bug 1461576 might be related but while that one seems to be fixed in 5.10.3, I am experiencing this issue in 5.10.4 (plasma-workspace-5.10.4-1.fc26)
Comment 17 Rex Dieter 2017-08-04 10:53:23 EDT
OK, all the crash traces we have so far is only from 5.10.1, so ideally we'd need a new trace with the latest versions to try to debug this further.
Comment 18 Hynek Mlnarik 2017-08-04 10:59:41 EDT
It seems that SNI proxy is just not started on Plasma start, hence I have no trace to share. Can I confirm this anyhow? Does it use only xembedsniproxy or is it some other way? If the former, I can confirm I don't have xembedsniproxy started after logon. If the letter, how can I do that?
Comment 19 Hynek Mlnarik 2017-08-04 11:00:38 EDT
s/letter/latter/
Comment 20 Rex Dieter 2017-08-04 11:20:48 EDT
It's supposed to autostart with your session, see
/etc/xdg/autostart/xembedsniproxy.desktop

Note You need to log in before you can comment on or make changes to this bug.